* {
    margin: 0;
    padding: 0;
}

body {

    background-image: url('bg.jpg');
    background-repeat:no-repeat;
    background-size: cover;
    height: 100vh;
}

.card {
    width: 40%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 1px;
    
    position: absolute;
    border-radius: 59px;
   background-image: url('cardbg.gif');
   background-size: cover;
   background-position: left;
   
}
#result{
    margin-top: 25px;
}

#country-name {
    text-align: center;
    border: none;
    border-bottom: 4px black solid;
    font-size: 20px;
    text-decoration: none;
    color: rgb(0, 0, 0);

}

.search-section input {
    border: none;
    border-radius: 15px;
    color: aliceblue;
    font-family: 'Teko', sans-serif;
    border-bottom: 4px black solid;
}
h3{
    color:#eaea25;
  
}

#search-button {
   
    width: 20%;
    border-radius: 15px;
    background-color: #fffef0;
    color: rgba(0, 0, 0, 0.914);
    font-weight: 700;
    border: 2px rgba(198, 184, 36, 0.823) solid;
    font-size: 20px;
    cursor: pointer;
}

.search-section {
    display: flex;
    justify-content: center;
    align-items: center;        
    border: none;
    gap: 20px;
    margin-top: 10px;
    
}


.card .flag-image {
    width: 12%;
    margin-left: 45%;
    display: block;
}

.card .details {
    display: flex;
    flex-direction: column;
}

.card .details .data-details {
    display: flex;
    gap: 0.3em;
}

.details {
    margin-left: 5%;
    margin-top: 3%;
    font-size: 20px;
    font-weight: 1000;
    font-family: 'Kanit', sans-serif;
    
}

.card .details .data-details span {
    color:#ffffff;
    text-shadow:10 10 1px rgb(255, 255, 255);
    font-weight: 800;
   
}

h2 {
    text-transform: uppercase;
    text-align: center;
    margin-top: 1%;
    margin-left: 3%;
    color: #ffffff;

    font-size: 25px;
    font-weight:200;
    font-family: 'Teko', sans-serif;
    
}

.card h4 {
    text-align: center;
    font-size: 30px;
    color: #fffef0;

}
